If you are experiencing technical difficulty with the PGReader iPhone application, please fill in the following details to submit a support request to our development team.

Please note: Our app is currently compatible with iPhone/iPod Touch devices running OS 3.0 or higher. Please verify that your device has this software version.

Your name
Your e-mail address
Daytime phone
Device type iPhone    iPod Touch

Please describe the problem that you are experiencing with the PGReader app on your device: